Public Class frmAbrechnungsMaskeEinzeln
    Dim SQL As New VERAG_PROG_ALLGEMEIN.SQL
    Dim FilialenNr As Integer = -1
    Dim AbfertigungsNr As Integer = -1
    Sub New(FilialenNr, AbfertigungsNr)

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        MsgBox(FilialenNr)
        If FilialenNr IsNot Nothing AndAlso IsNumeric(FilialenNr) Then Me.FilialenNr = FilialenNr
        If AbfertigungsNr IsNot Nothing AndAlso IsNumeric(AbfertigungsNr) Then Me.AbfertigungsNr = AbfertigungsNr
        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

    End Sub
    Private Sub frmAbrechnungsMaske_Load(sender As Object, e As EventArgs) Handles Me.Load
        'Größe anpassen:
        Me.Height = Screen.FromRectangle(Me.Bounds).WorkingArea.Size.Height
        Me.Top = 0
        ' initDGV()
    End Sub

    Private Sub frmAbrechnungsMaske_Shown(sender As Object, e As EventArgs) Handles Me.Shown
        If FilialenNr > 0 And AbfertigungsNr > 0 Then


            '   Dim FAKT As New VERAG_PROG_ALLGEMEIN.cRechnungsausgang(FilialenNr, AbfertigungsNr)

            '  UsrCntlFaktAbrechnung1.initRECHNUNG(FAKT.RK_ID)

            UsrCntlFaktAbrechnung1.cboFiliale.changeItem(FilialenNr)
            UsrCntlFaktAbrechnung1.txtAbfertigungsnummer.Text = AbfertigungsNr
            UsrCntlFaktAbrechnung1.cboSpedBuchUnterNr.Focus()
        End If
    End Sub




End Class